Skip to main content
Get workspace support detail
curl --request GET \
  --url https://api.acornops.dev/admin/v1/workspaces/{workspaceId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "role": "<string>",
  "permissions": {},
  "currentUserRoleTemplate": {
    "key": "<string>",
    "displayName": "<string>",
    "capabilities": [
      "<string>"
    ],
    "protected": true,
    "sortOrder": 123,
    "description": "<string>"
  },
  "memberCount": 123,
  "clusterCount": 123,
  "virtualMachineCount": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Safe workspace detail.

Support-safe workspace detail.

id
string<uuid>
required
name
string
required
role
string
required
permissions
object
required
currentUserRoleTemplate
object
memberCount
integer
clusterCount
integer
virtualMachineCount
integer
createdAt
string<date-time>
updatedAt
string<date-time>